﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.Repository.ServiceItemMaster {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceItemMaster.IServiceItemMaster")]
    public interface IServiceItemMaster {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetOITMListBy", ReplyAction="http://tempuri.org/IServiceItemMaster/GetOITMListByResponse")]
        ARGNS.Model.Implementations.View.JsonObjectResult GetOITMListBy(
                    ARGNS.Model.Implementations.CompanyConn pCompanyParam, 
                    bool CheckApparelInstallation, 
                    string pPrchseItem, 
                    string pSellItem, 
                    string pInventoryItem, 
                    string pItemWithStock, 
                    string pItemGroup, 
                    string pModCode, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pMappedUdf, 
                    string pItemCode, 
                    string pItemName, 
                    bool pOnlyActiveItems, 
                    ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFOITM, 
                    bool pCkCatalogueNum, 
                    string pBPCode, 
                    string pBPCatalogCode, 
                    int pStart, 
                    int pLength, 
                    ARGNS.Model.Implementations.View.OrderColumn pOrderColumn);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetOITMListBy", ReplyAction="http://tempuri.org/IServiceItemMaster/GetOITMListByResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetOITMListByAsync(
                    ARGNS.Model.Implementations.CompanyConn pCompanyParam, 
                    bool CheckApparelInstallation, 
                    string pPrchseItem, 
                    string pSellItem, 
                    string pInventoryItem, 
                    string pItemWithStock, 
                    string pItemGroup, 
                    string pModCode, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pMappedUdf, 
                    string pItemCode, 
                    string pItemName, 
                    bool pOnlyActiveItems, 
                    ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFOITM, 
                    bool pCkCatalogueNum, 
                    string pBPCode, 
                    string pBPCatalogCode, 
                    int pStart, 
                    int pLength, 
                    ARGNS.Model.Implementations.View.OrderColumn pOrderColumn);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetOITMListByList", ReplyAction="http://tempuri.org/IServiceItemMaster/GetOITMListByListResponse")]
        ARGNS.Model.Implementations.SAP.ItemMasterSAP[] GetOITMListByList(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pListItems, string pItemType);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetOITMListByList", ReplyAction="http://tempuri.org/IServiceItemMaster/GetOITMListByListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP[]> GetOITMListByListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pListItems, string pItemType);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetQuickOrderListBy", ReplyAction="http://tempuri.org/IServiceItemMaster/GetQuickOrderListByResponse")]
        ARGNS.Model.Implementations.View.JsonObjectResult GetQuickOrderListBy(
                    ARGNS.Model.Implementations.CompanyConn pCompanyParam, 
                    bool CheckApparelInstallation, 
                    string pPrchseItem, 
                    string pSellItem, 
                    string pModCode, 
                    System.Nullable<int> pCostPriceList, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pMappedUdf, 
                    string pItemCode, 
                    string pItemName, 
                    string uCardCode, 
                    short pItemGroupCode, 
                    bool pOnlyActiveItems, 
                    bool isSO, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFOITM, 
                    bool pNoItemsWithZeroStockCk, 
                    string pSupplierCardCode, 
                    string[] pItemList, 
                    int pStart, 
                    int pLength, 
                    ARGNS.Model.Implementations.View.OrderColumn pOrderColumn);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetQuickOrderListBy", ReplyAction="http://tempuri.org/IServiceItemMaster/GetQuickOrderListByResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetQuickOrderListByAsync(
                    ARGNS.Model.Implementations.CompanyConn pCompanyParam, 
                    bool CheckApparelInstallation, 
                    string pPrchseItem, 
                    string pSellItem, 
                    string pModCode, 
                    System.Nullable<int> pCostPriceList, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pMappedUdf, 
                    string pItemCode, 
                    string pItemName, 
                    string uCardCode, 
                    short pItemGroupCode, 
                    bool pOnlyActiveItems, 
                    bool isSO, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFOITM, 
                    bool pNoItemsWithZeroStockCk, 
                    string pSupplierCardCode, 
                    string[] pItemList, 
                    int pStart, 
                    int pLength, 
                    ARGNS.Model.Implementations.View.OrderColumn pOrderColumn);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetItemsPrice", ReplyAction="http://tempuri.org/IServiceItemMaster/GetItemsPriceResponse")]
        ARGNS.Model.Implementations.SAP.ItemMasterSAP[] GetItemsPrice(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] ListItems, string CardCode, string pSession, bool isSO, bool pOrderItems, string ano);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetItemsPrice", ReplyAction="http://tempuri.org/IServiceItemMaster/GetItemsPriceResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP[]> GetItemsPriceAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] ListItems, string CardCode, string pSession, bool isSO, bool pOrderItems, string ano);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GeItemByCodeBar", ReplyAction="http://tempuri.org/IServiceItemMaster/GeItemByCodeBarResponse")]
        ARGNS.Model.Implementations.SAP.ItemMasterSAP GeItemByCodeBar(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pPrchseItem, string pSellItem, string pCodeBar);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GeItemByCodeBar", ReplyAction="http://tempuri.org/IServiceItemMaster/GeItemByCodeBarResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP> GeItemByCodeBarAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pPrchseItem, string pSellItem, string pCodeBar);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetItemStock", ReplyAction="http://tempuri.org/IServiceItemMaster/GetItemStockResponse")]
        ARGNS.Model.Implementations.PDM.StockModel[] GetItemStock(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pItemCode, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetItemStock", ReplyAction="http://tempuri.org/IServiceItemMaster/GetItemStockResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.PDM.StockModel[]> GetItemStockAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pItemCode, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetStockByModel", ReplyAction="http://tempuri.org/IServiceItemMaster/GetStockByModelResponse")]
        ARGNS.Model.Implementations.PDM.StockModel GetStockByModel(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pModelCode, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetStockByModel", ReplyAction="http://tempuri.org/IServiceItemMaster/GetStockByModelResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.PDM.StockModel> GetStockByModelAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pModelCode, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GeItemByCode", ReplyAction="http://tempuri.org/IServiceItemMaster/GeItemByCodeResponse")]
        ARGNS.Model.Implementations.SAP.ItemMasterSAP GeItemByCode(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pBarCode, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDF);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GeItemByCode", ReplyAction="http://tempuri.org/IServiceItemMaster/GeItemByCodeResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP> GeItemByCodeAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pBarCode, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDF);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetPriceItemByPriceList", ReplyAction="http://tempuri.org/IServiceItemMaster/GetPriceItemByPriceListResponse")]
        decimal GetPriceItemByPriceList(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, short pPriceList);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetPriceItemByPriceList", ReplyAction="http://tempuri.org/IServiceItemMaster/GetPriceItemByPriceListResponse")]
        System.Threading.Tasks.Task<decimal> GetPriceItemByPriceListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, short pPriceList);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetItemGroupList", ReplyAction="http://tempuri.org/IServiceItemMaster/GetItemGroupListResponse")]
        ARGNS.Model.Implementations.SAP.ItemGroupSAP[] GetItemGroupList(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetItemGroupList", ReplyAction="http://tempuri.org/IServiceItemMaster/GetItemGroupListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemGroupSAP[]> GetItemGroupListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetInventoryStatus", ReplyAction="http://tempuri.org/IServiceItemMaster/GetInventoryStatusResponse")]
        ARGNS.Model.Implementations.View.JsonObjectResult GetInventoryStatus(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCodeFrom, string pItemCodeTo, string pVendorFrom, string pVendorTo, string pItemGroup, string[] pSelectedWH, int pStart, int pLength, ARGNS.Model.Implementations.View.OrderColumn pOrderColumn);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetInventoryStatus", ReplyAction="http://tempuri.org/IServiceItemMaster/GetInventoryStatusResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetInventoryStatusAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCodeFrom, string pItemCodeTo, string pVendorFrom, string pVendorTo, string pItemGroup, string[] pSelectedWH, int pStart, int pLength, ARGNS.Model.Implementations.View.OrderColumn pOrderColumn);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetATPByWarehouse", ReplyAction="http://tempuri.org/IServiceItemMaster/GetATPByWarehouseResponse")]
        ARGNS.Model.Implementations.View.AvailableToPromise[] GetATPByWarehouse(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pWarehouse);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetATPByWarehouse", ReplyAction="http://tempuri.org/IServiceItemMaster/GetATPByWarehouseResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.AvailableToPromise[]> GetATPByWarehouseAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pWarehouse);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetItemsWithPositiveStock", ReplyAction="http://tempuri.org/IServiceItemMaster/GetItemsWithPositiveStockResponse")]
        ARGNS.Model.Implementations.SAP.ItemMasterSAP[] GetItemsWithPositiveStock(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] pListItems, string[] pFormula);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetItemsWithPositiveStock", ReplyAction="http://tempuri.org/IServiceItemMaster/GetItemsWithPositiveStockResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP[]> GetItemsWithPositiveStockAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] pListItems, string[] pFormula);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetAvailableWarehousesByCompany", ReplyAction="http://tempuri.org/IServiceItemMaster/GetAvailableWarehousesByCompanyResponse")]
        ARGNS.Model.Implementations.SAP.Warehouse[] GetAvailableWarehousesByCompany(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GetAvailableWarehousesByCompany", ReplyAction="http://tempuri.org/IServiceItemMaster/GetAvailableWarehousesByCompanyResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.Warehouse[]> GetAvailableWarehousesByCompanyAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GeUOMByItemList", ReplyAction="http://tempuri.org/IServiceItemMaster/GeUOMByItemListResponse")]
        ARGNS.Model.Implementations.SAP.ItemMasterSAP[] GeUOMByItemList(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] pListItem, string pSellItem, string pPrchseItem);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceItemMaster/GeUOMByItemList", ReplyAction="http://tempuri.org/IServiceItemMaster/GeUOMByItemListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP[]> GeUOMByItemListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] pListItem, string pSellItem, string pPrchseItem);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IServiceItemMasterChannel : ARGNS.Repository.ServiceItemMaster.IServiceItemMaster, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServiceItemMasterClient : System.ServiceModel.ClientBase<ARGNS.Repository.ServiceItemMaster.IServiceItemMaster>, ARGNS.Repository.ServiceItemMaster.IServiceItemMaster {
        
        public ServiceItemMasterClient() {
        }
        
        public ServiceItemMasterClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServiceItemMasterClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceItemMasterClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceItemMasterClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public ARGNS.Model.Implementations.View.JsonObjectResult GetOITMListBy(
                    ARGNS.Model.Implementations.CompanyConn pCompanyParam, 
                    bool CheckApparelInstallation, 
                    string pPrchseItem, 
                    string pSellItem, 
                    string pInventoryItem, 
                    string pItemWithStock, 
                    string pItemGroup, 
                    string pModCode, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pMappedUdf, 
                    string pItemCode, 
                    string pItemName, 
                    bool pOnlyActiveItems, 
                    ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFOITM, 
                    bool pCkCatalogueNum, 
                    string pBPCode, 
                    string pBPCatalogCode, 
                    int pStart, 
                    int pLength, 
                    ARGNS.Model.Implementations.View.OrderColumn pOrderColumn) {
            return base.Channel.GetOITMListBy(pCompanyParam, CheckApparelInstallation, pPrchseItem, pSellItem, pInventoryItem, pItemWithStock, pItemGroup, pModCode, pMappedUdf, pItemCode, pItemName, pOnlyActiveItems, pWarehousePortalList, pListUDFOITM, pCkCatalogueNum, pBPCode, pBPCatalogCode, pStart, pLength, pOrderColumn);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetOITMListByAsync(
                    ARGNS.Model.Implementations.CompanyConn pCompanyParam, 
                    bool CheckApparelInstallation, 
                    string pPrchseItem, 
                    string pSellItem, 
                    string pInventoryItem, 
                    string pItemWithStock, 
                    string pItemGroup, 
                    string pModCode, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pMappedUdf, 
                    string pItemCode, 
                    string pItemName, 
                    bool pOnlyActiveItems, 
                    ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFOITM, 
                    bool pCkCatalogueNum, 
                    string pBPCode, 
                    string pBPCatalogCode, 
                    int pStart, 
                    int pLength, 
                    ARGNS.Model.Implementations.View.OrderColumn pOrderColumn) {
            return base.Channel.GetOITMListByAsync(pCompanyParam, CheckApparelInstallation, pPrchseItem, pSellItem, pInventoryItem, pItemWithStock, pItemGroup, pModCode, pMappedUdf, pItemCode, pItemName, pOnlyActiveItems, pWarehousePortalList, pListUDFOITM, pCkCatalogueNum, pBPCode, pBPCatalogCode, pStart, pLength, pOrderColumn);
        }
        
        public ARGNS.Model.Implementations.SAP.ItemMasterSAP[] GetOITMListByList(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pListItems, string pItemType) {
            return base.Channel.GetOITMListByList(pCompanyParam, pListItems, pItemType);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP[]> GetOITMListByListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pListItems, string pItemType) {
            return base.Channel.GetOITMListByListAsync(pCompanyParam, pListItems, pItemType);
        }
        
        public ARGNS.Model.Implementations.View.JsonObjectResult GetQuickOrderListBy(
                    ARGNS.Model.Implementations.CompanyConn pCompanyParam, 
                    bool CheckApparelInstallation, 
                    string pPrchseItem, 
                    string pSellItem, 
                    string pModCode, 
                    System.Nullable<int> pCostPriceList, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pMappedUdf, 
                    string pItemCode, 
                    string pItemName, 
                    string uCardCode, 
                    short pItemGroupCode, 
                    bool pOnlyActiveItems, 
                    bool isSO, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFOITM, 
                    bool pNoItemsWithZeroStockCk, 
                    string pSupplierCardCode, 
                    string[] pItemList, 
                    int pStart, 
                    int pLength, 
                    ARGNS.Model.Implementations.View.OrderColumn pOrderColumn) {
            return base.Channel.GetQuickOrderListBy(pCompanyParam, CheckApparelInstallation, pPrchseItem, pSellItem, pModCode, pCostPriceList, pMappedUdf, pItemCode, pItemName, uCardCode, pItemGroupCode, pOnlyActiveItems, isSO, pListUDFOITM, pNoItemsWithZeroStockCk, pSupplierCardCode, pItemList, pStart, pLength, pOrderColumn);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetQuickOrderListByAsync(
                    ARGNS.Model.Implementations.CompanyConn pCompanyParam, 
                    bool CheckApparelInstallation, 
                    string pPrchseItem, 
                    string pSellItem, 
                    string pModCode, 
                    System.Nullable<int> pCostPriceList, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pMappedUdf, 
                    string pItemCode, 
                    string pItemName, 
                    string uCardCode, 
                    short pItemGroupCode, 
                    bool pOnlyActiveItems, 
                    bool isSO, 
                    ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDFOITM, 
                    bool pNoItemsWithZeroStockCk, 
                    string pSupplierCardCode, 
                    string[] pItemList, 
                    int pStart, 
                    int pLength, 
                    ARGNS.Model.Implementations.View.OrderColumn pOrderColumn) {
            return base.Channel.GetQuickOrderListByAsync(pCompanyParam, CheckApparelInstallation, pPrchseItem, pSellItem, pModCode, pCostPriceList, pMappedUdf, pItemCode, pItemName, uCardCode, pItemGroupCode, pOnlyActiveItems, isSO, pListUDFOITM, pNoItemsWithZeroStockCk, pSupplierCardCode, pItemList, pStart, pLength, pOrderColumn);
        }
        
        public ARGNS.Model.Implementations.SAP.ItemMasterSAP[] GetItemsPrice(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] ListItems, string CardCode, string pSession, bool isSO, bool pOrderItems, string ano) {
            return base.Channel.GetItemsPrice(pCompanyParam, ListItems, CardCode, pSession, isSO, pOrderItems, ano);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP[]> GetItemsPriceAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] ListItems, string CardCode, string pSession, bool isSO, bool pOrderItems, string ano) {
            return base.Channel.GetItemsPriceAsync(pCompanyParam, ListItems, CardCode, pSession, isSO, pOrderItems, ano);
        }
        
        public ARGNS.Model.Implementations.SAP.ItemMasterSAP GeItemByCodeBar(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pPrchseItem, string pSellItem, string pCodeBar) {
            return base.Channel.GeItemByCodeBar(pCompanyParam, pPrchseItem, pSellItem, pCodeBar);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP> GeItemByCodeBarAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pPrchseItem, string pSellItem, string pCodeBar) {
            return base.Channel.GeItemByCodeBarAsync(pCompanyParam, pPrchseItem, pSellItem, pCodeBar);
        }
        
        public ARGNS.Model.Implementations.PDM.StockModel[] GetItemStock(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pItemCode, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList) {
            return base.Channel.GetItemStock(pCompanyParam, pItemCode, pWarehousePortalList);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.PDM.StockModel[]> GetItemStockAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string[] pItemCode, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList) {
            return base.Channel.GetItemStockAsync(pCompanyParam, pItemCode, pWarehousePortalList);
        }
        
        public ARGNS.Model.Implementations.PDM.StockModel GetStockByModel(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pModelCode, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList) {
            return base.Channel.GetStockByModel(pCompanyParam, pModelCode, pWarehousePortalList);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.PDM.StockModel> GetStockByModelAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pModelCode, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList) {
            return base.Channel.GetStockByModelAsync(pCompanyParam, pModelCode, pWarehousePortalList);
        }
        
        public ARGNS.Model.Implementations.SAP.ItemMasterSAP GeItemByCode(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pBarCode, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDF) {
            return base.Channel.GeItemByCode(pCompanyParam, pItemCode, pBarCode, pListUDF);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP> GeItemByCodeAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pBarCode, ARGNS.Model.Implementations.View.UDF_ARGNS[] pListUDF) {
            return base.Channel.GeItemByCodeAsync(pCompanyParam, pItemCode, pBarCode, pListUDF);
        }
        
        public decimal GetPriceItemByPriceList(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, short pPriceList) {
            return base.Channel.GetPriceItemByPriceList(pCompanyParam, pItemCode, pPriceList);
        }
        
        public System.Threading.Tasks.Task<decimal> GetPriceItemByPriceListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, short pPriceList) {
            return base.Channel.GetPriceItemByPriceListAsync(pCompanyParam, pItemCode, pPriceList);
        }
        
        public ARGNS.Model.Implementations.SAP.ItemGroupSAP[] GetItemGroupList(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetItemGroupList(pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemGroupSAP[]> GetItemGroupListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetItemGroupListAsync(pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.View.JsonObjectResult GetInventoryStatus(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCodeFrom, string pItemCodeTo, string pVendorFrom, string pVendorTo, string pItemGroup, string[] pSelectedWH, int pStart, int pLength, ARGNS.Model.Implementations.View.OrderColumn pOrderColumn) {
            return base.Channel.GetInventoryStatus(pCompanyParam, pItemCodeFrom, pItemCodeTo, pVendorFrom, pVendorTo, pItemGroup, pSelectedWH, pStart, pLength, pOrderColumn);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> GetInventoryStatusAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCodeFrom, string pItemCodeTo, string pVendorFrom, string pVendorTo, string pItemGroup, string[] pSelectedWH, int pStart, int pLength, ARGNS.Model.Implementations.View.OrderColumn pOrderColumn) {
            return base.Channel.GetInventoryStatusAsync(pCompanyParam, pItemCodeFrom, pItemCodeTo, pVendorFrom, pVendorTo, pItemGroup, pSelectedWH, pStart, pLength, pOrderColumn);
        }
        
        public ARGNS.Model.Implementations.View.AvailableToPromise[] GetATPByWarehouse(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pWarehouse) {
            return base.Channel.GetATPByWarehouse(pCompanyParam, pItemCode, pWarehouse);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.AvailableToPromise[]> GetATPByWarehouseAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pWarehouse) {
            return base.Channel.GetATPByWarehouseAsync(pCompanyParam, pItemCode, pWarehouse);
        }
        
        public ARGNS.Model.Implementations.SAP.ItemMasterSAP[] GetItemsWithPositiveStock(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] pListItems, string[] pFormula) {
            return base.Channel.GetItemsWithPositiveStock(pCompanyParam, pListItems, pFormula);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP[]> GetItemsWithPositiveStockAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] pListItems, string[] pFormula) {
            return base.Channel.GetItemsWithPositiveStockAsync(pCompanyParam, pListItems, pFormula);
        }
        
        public ARGNS.Model.Implementations.SAP.Warehouse[] GetAvailableWarehousesByCompany(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList) {
            return base.Channel.GetAvailableWarehousesByCompany(pCompanyParam, pWarehousePortalList);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.Warehouse[]> GetAvailableWarehousesByCompanyAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.Portal.WarehousePortal[] pWarehousePortalList) {
            return base.Channel.GetAvailableWarehousesByCompanyAsync(pCompanyParam, pWarehousePortalList);
        }
        
        public ARGNS.Model.Implementations.SAP.ItemMasterSAP[] GeUOMByItemList(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] pListItem, string pSellItem, string pPrchseItem) {
            return base.Channel.GeUOMByItemList(pCompanyParam, pListItem, pSellItem, pPrchseItem);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ItemMasterSAP[]> GeUOMByItemListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, ARGNS.Model.Implementations.SAP.ItemMasterSAP[] pListItem, string pSellItem, string pPrchseItem) {
            return base.Channel.GeUOMByItemListAsync(pCompanyParam, pListItem, pSellItem, pPrchseItem);
        }
    }
}
